NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.ElementReflectBuilder Class Reference

Represents a NXOpen.CAE.ElementReflectBuilder More...

Inheritance diagram for NXOpen.CAE.ElementReflectBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ElemDimType { Any, Beam, Shell, Solid }
 Dimension of element to be reflected More...
 
enum  LabelType { Label, Offset }
 Option to use label/increment or offset More...
 
enum  NewMeshType { Create, Existing }
 Option to create new mesh or add to existing mesh More...
 
enum  SolidElemMovDirType { FirstAndSecond, FirstAndThird, SecondAndThird }
 Option to select solid element material orientation directions to reflect More...
 

Properties

unsafe string CollectorName [get, set]
 Returns or sets the mesh collector name More...
 
unsafe
NXOpen.CAE.ElementReflectBuilder.ElemDimType 
ElementDimensionOption [get, set]
 Returns or sets the element dimension option More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
Elements [get]
 Returns the selected elements to be reflected More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder. More...
 
unsafe bool ExportMesh [get, set]
 Returns or sets the option which indicates whether mesh is exported to solver or not. More...
 
unsafe int Increment [get, set]
 Returns or sets the increment More...
 
unsafe int Label [get, set]
 Returns or sets the label More...
 
unsafe
NXOpen.CAE.ElementReflectBuilder.LabelType 
LabelOption [get, set]
 Returns or sets the label option More...
 
unsafe string MeshName [get, set]
 Returns or sets the mesh name More...
 
unsafe bool MovToggle [get, set]
 Returns or sets the option which indicates whether mov for mesh is reflected or not. More...
 
unsafe string NeutralName [get, set]
 Returns or sets the element neutral name More...
 
unsafe
NXOpen.CAE.ElementReflectBuilder.NewMeshType 
NewMeshOption [get, set]
 Returns or sets the new mesh option More...
 
unsafe int Offset [get, set]
 Returns or sets the offset More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the plane of reflection More...
 
unsafe
NXOpen.CAE.ElementReflectBuilder.SolidElemMovDirType 
SolidElmOption [get, set]
 Returns or sets the solid element mov options More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ElementReflectBuilder

To create a new instance of this class, use NXOpen.CAE.NodeElementManager.CreateElementReflectBuilder

Created in NX5.0.0

Member Enumeration Documentation

Dimension of element to be reflected

Enumerator
Any 

any element

Beam 

only beam

Shell 

only shell

Solid 

only solid

Option to use label/increment or offset

Enumerator
Label 

input label by start number/increment

Offset 

by offset

Option to create new mesh or add to existing mesh

Enumerator
Create 

create new mesh

Existing 

add to existing mesh

Option to select solid element material orientation directions to reflect

Enumerator
FirstAndSecond 

first and second direction

FirstAndThird 

first and third direction

SecondAndThird 

second and third direction

Property Documentation

unsafe string NXOpen.CAE.ElementReflectBuilder.CollectorName
getset

Returns or sets the mesh collector name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementReflectBuilder.ElemDimType NXOpen.CAE.ElementReflectBuilder.ElementDimensionOption
getset

Returns or sets the element dimension option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.ElementReflectBuilder.Elements
get

Returns the selected elements to be reflected

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.ElementReflectBuilder.ElementType
get

Returns the element type builder.

Created in NX6.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ElementReflectBuilder.ExportMesh
getset

Returns or sets the option which indicates whether mesh is exported to solver or not.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementReflectBuilder.Increment
getset

Returns or sets the increment

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementReflectBuilder.Label
getset

Returns or sets the label

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementReflectBuilder.LabelType NXOpen.CAE.ElementReflectBuilder.LabelOption
getset

Returns or sets the label option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementReflectBuilder.MeshName
getset

Returns or sets the mesh name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.CAE.ElementReflectBuilder.MovToggle
getset

Returns or sets the option which indicates whether mov for mesh is reflected or not.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.CAE.ElementReflectBuilder.NeutralName
getset

Returns or sets the element neutral name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementReflectBuilder.NewMeshType NXOpen.CAE.ElementReflectBuilder.NewMeshOption
getset

Returns or sets the new mesh option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.CAE.ElementReflectBuilder.Offset
getset

Returns or sets the offset

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Plane NXOpen.CAE.ElementReflectBuilder.Plane
getset

Returns or sets the plane of reflection

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.ElementReflectBuilder.SolidElemMovDirType NXOpen.CAE.ElementReflectBuilder.SolidElmOption
getset

Returns or sets the solid element mov options

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.